Bug 699442 - Incorrect end date displayed in the subscription manager
Incorrect end date displayed in the subscription manager
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
: 703286 (view as bug list)
Depends On: 695234
Blocks: rhsm-rhel62 702030
  Show dependency treegraph
Reported: 2011-04-25 12:31 EDT by Adrian Likins
Modified: 2011-12-06 12:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 695234
Last Closed: 2011-12-06 12:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dates (340.84 KB, image/png)
2011-05-06 09:39 EDT, J.C. Molet
no flags Details
validuntil (76.71 KB, image/png)
2011-07-28 14:12 EDT, J.C. Molet
no flags Details

  None (edit)
Comment 2 Adrian Likins 2011-04-25 17:22:55 EDT
commit 002129264af09a202d784de7c8d4f5f3d81bf39d
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Apr 18 14:16:43 2011 -0400

    699442: dates are being displayed incorrectly everywhere
    installed tab was storing a formatted date string, which
    was getting coverted to a datetime, losing it's timezone, and
    was then getting displayed incorrectly.
    Change all of our TreeStores to store datetime objects for
    dates instead of formatted strings, and make CellRendererDate
    do the formatting.
    Add parseDate to managerlib and make formatDate just format.
    parseDate expects an iso8601 style date and returns a datetime,
    while formatDate expects a datetime and returns a formatted
    string. Move LocalTz tzinfo subclass here from gui/utils.
    Note: for installedtab, we also changed the start/end dates
    displayed from being the _order_ start and end dates, to
    being the stand/end dates for the certificate.
    Try to be a little more consistent in our usage of formatDate vs strftime
Comment 4 J.C. Molet 2011-05-06 09:39:34 EDT
Created attachment 497355 [details]

This seems to be working for the in all cases with the exception of the "Certificate Status" date given (see screenshot).  That one seems to be two days off from the actual date.
Comment 5 J.C. Molet 2011-05-06 09:49:41 EDT
Local time for the screenshot in comment 4 is:  05/06/2011 09:31 AM EST
Comment 6 Adrian Likins 2011-05-06 11:27:26 EDT
Argh. Indeed it is. Looks like a merge error since it's works in master, and there is a one liner that didn't make it from master to rhel6 that fixes it. 

Got a patch out for review.
Comment 8 John Sefler 2011-05-10 15:50:59 EDT
this bug should be used to verify the fix in the rhel62 release

Note: corresponding bug 702030 was used to verify fix in rhel6.1z
Note: corresponding bug 695234 was used to verify fix in rhel5.7
Comment 10 J.C. Molet 2011-07-28 14:12:31 EDT
Created attachment 515779 [details]

new wording makes all the dates make sense.

screenshot dates match the cli and the cert:

[root@jmolet-vm0 entitlement]# subscription-manager list --consumed
    Consumed Product Subscriptions

ProductName:        	Awesome OS Server Bits   
ContractNumber:     	65                       
AccountNumber:      	12331131231              
SerialNumber:       	2001266316829453850      
Active:             	True                     
QuantityUsed:       	1                        
Begins:             	07/27/2011               
Expires:            	07/26/2012
Comment 11 J.C. Molet 2011-07-28 14:13:14 EDT
moving to VERIFIED.

Comment 12 J.C. Molet 2011-08-08 08:50:39 EDT
*** Bug 703286 has been marked as a duplicate of this bug. ***
Comment 13 errata-xmlrpc 2011-12-06 12:13:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.